Crosswalk Intel XDK experiences

Discussion and feedback on Construct 2

Post » Wed Oct 29, 2014 1:23 pm

Well, it shouldn't. But 14 is supposed to be the default if you don't supply a value. You could try something different just to see.
B
24
S
9
G
4
Posts: 1,646
Reputation: 6,596

Post » Wed Oct 29, 2014 1:27 pm

I've sent an update with min set to 14 few hours ago and waiting now to see if this gonna change something.
ImageImageImageImage
B
158
S
67
G
43
Posts: 2,603
Reputation: 36,003

Post » Wed Oct 29, 2014 1:35 pm

sorry for double post, but scirra.com works very slowly for me for few day and can't edit my post.

New version was just published with
Minimum Android version set to 14
Target Android version set to 18

and still shows the same... For next update I'm going to leave min and target empty and see... damn another few hours of waiting :/


-- EDIT: min and target default values gives me API 10+ :/ --

-- EDIT 2: it seams that whatever version I put in XDK it will always show "1.6 and up" with alpha testing. And i'm not sure if I publish it as a production it will change or not :/ --
You do not have the required permissions to view the files attached to this post.
ImageImageImageImage
B
158
S
67
G
43
Posts: 2,603
Reputation: 36,003

Post » Wed Oct 29, 2014 5:27 pm

I make this post separate because it's quite important and it's not well documented anywhere.

If you publish your apk files into Alpha or Beta Testing then all information on testers page will show bare minimum requirements only!
It means no matter what API level you put into your apk files it will always show as "1.6 and above"

Only publishing as a production will show proper informations from your apk files.
ImageImageImageImage
B
158
S
67
G
43
Posts: 2,603
Reputation: 36,003

Post » Wed Oct 29, 2014 8:36 pm

I assumed you meant to production, sorry for the confusion.
B
24
S
9
G
4
Posts: 1,646
Reputation: 6,596

Post » Wed Oct 29, 2014 8:45 pm

@codah now you telling me ;)
ImageImageImageImage
B
158
S
67
G
43
Posts: 2,603
Reputation: 36,003

Post » Wed Oct 29, 2014 9:23 pm

shinkan wrote:@codah now you telling me ;)


heh.. yea.. I forgot we 'publish' to alpha/beta .. (but I still didn't realise the version numbers were reported differently)
B
24
S
9
G
4
Posts: 1,646
Reputation: 6,596

Post » Wed Oct 29, 2014 9:35 pm

Yes, "Jeff" from developers customer service apologize me for this confusion, because this is not documented anywhere and explained the difference between alpha/beta and production.


and btw. customer service on for google developer is the fastest, kindest and probably the best costumer service I have ever talk to!
ImageImageImageImage
B
158
S
67
G
43
Posts: 2,603
Reputation: 36,003

Post » Thu Oct 30, 2014 4:58 am

@IntelRobert

While migrating my games from CocoonJS to Crosswalks, I noticed that CocoonJS is using OpenGL2+ and Crosswalks is using only OpenGL1+ (in the information dialog while uploading APK) ?

I thought that WebGL 1 is OpenGL2.0ES and the new upcoming WebGL2 is OpenGL3.0ES but why is it Crosswalks build is only OpenGL1+ ?

I'm using stable version.

Thanks
B
84
S
24
G
14
Posts: 391
Reputation: 12,658

Post » Fri Oct 31, 2014 10:19 pm

anyone have experience of switching to crosswalk?

say I made an app natively and I wanted to update it with a construct version...is this possible?
B
46
S
20
G
9
Posts: 541
Reputation: 9,307

PreviousNext

Return to Construct 2 General

Who is online

Users browsing this forum: Yahoo [Bot] and 1 guest